def TSM3_MocapSkeletonDelete():
    import pymel.core as pa
    import traceback

    def verifySelection():
        """Checks to make sure a TSM3 joint or control is found"""
        try:
            rigNode = associatedRigNode(pa.ls(sl=True)[0])
            if not rigNodeHasDupeSkeleton(rigNode):
                	raise Exception("Selection Invalid: No duplicate skeleton exists for the selected TSM3 rig.")
        except IndexError:
            raise Exception("Selection invalid: To delete a motion capture skeleton, please select part of the skeleton or the corresponding TSM3 rig.")

    def deleteMocapSkeleton(rigNodeChildren):
        """Delete the mocap skeleton, its constraints and connection nodes."""

        [pa.delete(node) for node in rigNodeChildren if node.hasAttr("TSM3DupeNodeId")
                        if node.TSM3DupeNodeId.get().endswith("MocapConstraint")
                        or node.TSM3DupeNodeId.get() == "TSM3WorldJoint"]
    def rigNodeHasDupeSkeleton(rigNode):
        dupeJointList = [joint for joint in pa.listRelatives(rigNode, ad = True)
                    if joint.hasAttr("TSM3DupeBodyPartId")]
        print len(dupeJointList) is not 0
        return len(dupeJointList) is not 0
    def associatedRigNode(node):
        """Find the "Rig" transform node based on a part of the rig.""" 
        return [parent for parent in node.getAllParents() if parent.hasAttr('TSM3NodeId') and parent.TSM3NodeId.get() == 'TSM3_Rig'][0]

    verifySelection()
    rigNodeChildren = associatedRigNode(pa.ls(sl=True)[0]).listRelatives(ad=True)
    deleteMocapSkeleton(rigNodeChildren)