from tsm3.plugin import initializeTSM3Plugin, uninitializeTSM3Plugin
from tsm3.tsm3aznodes.nodes import withMayaTraceback
from tsm3.mayaversions.mayaversions import canDrawInVP2

# We need to use different versions of the Python API depending on Maya version.
# Because we need to support earlier versions of Maya that don't have all of the
# base classes we need, we must use the Python API 1 in some versions and
# the Python API 2 in others. The only case we really need API 2 for is the case
# in which we draw in Viewport 2.0, i.e. Maya 2016 SP3 and later.
if canDrawInVP2():
    def maya_useNewAPI():
        pass

def initializePlugin(obj):
    if not initializeTSM3Plugin(obj):
        raise RuntimeError('Failed to load the Setup Machine 3 plug-in')

@withMayaTraceback
def uninitializePlugin(obj):
    uninitializeTSM3Plugin(obj)
